#include<bits/stdc++.h>
using namespace std;
int k, a[10000];
int ktra(int n)
{
    if(n==0) return -1;
    else
        if(a[n]==k) return n;
        else
            ktra(n-1);
}
int main()
{
    ifstream fi("tknp.inp");
    ofstream fo("tknp.out");
    int n;
    fi>>n>>k;
    for(int i=1; i<=n;i++)
    {
        fi>>a[i];
    }
    fo<<ktra(n);
}
